English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   News (http://eab.abime.net/forumdisplay.php?f=29)
-   -   IBrowse 2.5.6 + AmiSSL v5 Released (http://eab.abime.net/showthread.php?t=110715)

wiz12 22 May 2022 12:20

IBrowse 2.5.6 + AmiSSL v5 Released
 
An update for IBrowse was released today along with a new version of AmiSSL v5. IBrowse 2.5.6 requires AmiSSL v5 so it's important to update it before updating IBrowse otherwise you will be left without HTTPS access.

  • Adapted to fully use OpenSSL 3.0, via AmiSSL v5
  • HTTP Brotli compression support
  • OpenSearch autodiscovery support
  • Gemini client, allowing loading of gemini: URLs
  • Improved Gopher support
  • JavaScript fixes and improvements
  • Google/Gmail account login fixed (became blocked in March)


https://www.ibrowse-dev.net/

npagonis73 22 May 2022 16:55

Hi there. In one of my installations, even though I followed the instructions and updated AMISSL first and then I browse, i still get error on https sites and IBrowse Network Program failed (error #80000006) and suspend or reboot. Can I fix that somehow? The installation is a 3.2.1 one.

Just to update my post, this is happening randomly in more than one WB installations. In some it works and ibrowse has https support and in others just doesn't. I always follow the same order (AMISSL first and then reboot and then i apply the IBrowse update). My Amikit XE installatios work, my 3.2.1 ones, 9ne works and the other no. Coffin R60 doesn't have https support after updates. I will try others as well but that is not suppose to happen.

Any ideas on why is happening and how to fix it?

Mathesar 22 May 2022 17:51

Cool! Will try it out asap.

nikosidis 22 May 2022 18:03

Thanks for the update :)

Tried it now and works fine.

Any chance for some future update to display EAB a little better?

Leon Besson 22 May 2022 18:29

Quote:

Originally Posted by nikosidis (Post 1546582)
Thanks for the update :)

Tried it now and works fine.

Any chance for some future update to display EAB a little better?

On what setup Bromigo!?

AMIGASYSTEM 22 May 2022 19:03

Quote:

Originally Posted by wiz12 (Post 1546550)
An update for IBrowse was released today along with a new version of AmiSSL v5. IBrowse 2.5.6 requires AmiSSL v5 so it's important to update it before updating IBrowse otherwise you will be left without HTTPS access.

  • Adapted to fully use OpenSSL 3.0, via AmiSSL v5
  • HTTP Brotli compression support
  • OpenSearch autodiscovery support
  • Gemini client, allowing loading of gemini: URLs
  • Improved Gopher support
  • JavaScript fixes and improvements
  • Google/Gmail account login fixed (became blocked in March)


https://www.ibrowse-dev.net/




Install-IBrowse on OS 3.9 and 3.1 (those using Installer v43.3) crashes the Operating System and in some cases crashes WinUAE as well.

With OS 3.1.4/3.2/3.21 no problem !

The culprits/incompatible seem to be the Installer of OS 3.9 and the Installer v43.3 from Aminet

nikosidis 22 May 2022 19:45

Quote:

Originally Posted by Leon Besson (Post 1546585)
On what setup Bromigo!?


It is not really the matter of setup. It is the HTML engine I guess. IBrowse is a very stable, fast web-browser for Amiga but updates to the HTML engine is needed.
I know, it is not easy.

I just wish the most important Amiga pages was displayed correct.
Amigaworld.net seams to work very well.
Also simple pages like Aminet.net etc.

Futaura 22 May 2022 20:04

Quote:

Originally Posted by npagonis73 (Post 1546572)
Hi there. In one of my installations, even though I followed the instructions and updated AMISSL first and then I browse, i still get error on https sites and IBrowse Network Program failed (error #80000006) and suspend or reboot. Can I fix that somehow? The installation is a 3.2.1 one.

Just to update my post, this is happening randomly in more than one WB installations. In some it works and ibrowse has https support and in others just doesn't. I always follow the same order (AMISSL first and then reboot and then i apply the IBrowse update). My Amikit XE installatios work, my 3.2.1 ones, 9ne works and the other no. Coffin R60 doesn't have https support after updates. I will try others as well but that is not suppose to happen.

Any ideas on why is happening and how to fix it?

When installing AmiSSL v5, did you install it over your existing AmiSSL installation, as requested? If you installed it to a new location, it will prevent applications from using older AmSSL versions. Always install over the existing location, unless you know what you are doing. Applications will need to be recompiled to use AmiSSL v5, so you will need to keep AmiSSL v4 installed for now at least.

Did you have the crash problem with previous IBrowse versions? And does it happen with HTTP too, not only HTTPS? The 80000006 error doesn't mean a lot, without a stack trace from MuForce output.

npagonis73 22 May 2022 20:08

Hi there

I did install the new AMISSL on my existing AMISSL installation. Didn't change location or anything else. The crash issue happen only when trying to access https sites which of course don't work. Http sites work normally. The strange thing is that I followed the same procedure in all my installations and in some works in others don't

Futaura 22 May 2022 20:58

Quote:

Originally Posted by npagonis73 (Post 1546600)
I did install the new AMISSL on my existing AMISSL installation. Didn't change location or anything else. The crash issue happen only when trying to access https sites which of course don't work. Http sites work normally. The strange thing is that I followed the same procedure in all my installations and in some works in others don't

And the same sites worked fine in IBrowse 2.5.5 on these systems that have the problem now? Do you have enough memory on these systems? IBrowse 2.5.6 + AmiSSL v5 requires probably an extra 1Mb of ram compared to before.

Also, try switching off brotli compression in IBrowse network settings. I don't quite understand it yet, but it seems to be broken on my OS3 system, despite me testing it as working before - is giving me blank pages currently :( Is working fine on OS4 still. Brotli compression is usually only used on https.

npagonis73 22 May 2022 21:13

Quote:

Originally Posted by Futaura (Post 1546606)
And the same sites worked fine in IBrowse 2.5.5 on these systems that have the problem now? Do you have enough memory on these systems? IBrowse 2.5.6 + AmiSSL v5 requires probably an extra 1Mb of ram compared to before.



Also, try switching off brotli compression in IBrowse network settings. I don't quite understand it yet, but it seems to be broken on my OS3 system, despite me testing it as working before - is giving me blank pages currently :( Is working fine on OS4 still. Brotli compression is usually only used on https.

Yes all sites worked before with 2.5.5 and AMISSL 4.12. Memory shouldn't be an issue either since i use a vampire V1200.

AMIGASYSTEM 22 May 2022 21:24

Can you write some links that don't work !

npagonis73 22 May 2022 21:47

Quote:

Originally Posted by AMIGASYSTEM (Post 1546612)
Can you write some links that don't work !

Hello Amigasystem

ThomasRapp site doesn't work and also https://forum.amiga.org/ . Nothing crazy just Amiga friendly sites that worked fine before and they also work in my other systems where the update of AMISSL and IBrowse went smoothly

Futaura 22 May 2022 22:41

Quote:

Originally Posted by npagonis73 (Post 1546617)
ThomasRapp site doesn't work and also https://forum.amiga.org/ . Nothing crazy just Amiga friendly sites that worked fine before and they also work in my other systems where the update of AMISSL and IBrowse went smoothly

Working fine here with OS3.2 on my A1200/060. Can you try "AmiSSL:OpenSSL s_client forum.amiga.org:443" to see if that crashes too?

Perhaps installing the 68060 version of AmiSSL might help for the V1200?

AMIGASYSTEM 22 May 2022 22:47

@npagonis73

To me sites of "ThomasRapp" and "forum.amiga.org" work fine, you have some conflict in the system.

Look at the scrennshot and see if you have the same files, the ones you have extra move them and see if everything works.

npagonis73 22 May 2022 22:58

Quote:

Originally Posted by Futaura (Post 1546622)
Working fine here with OS3.2 on my A1200/060. Can you try "AmiSSL:OpenSSL s_client forum.amiga.org:443" to see if that crashes too?



Perhaps installing the 68060 version of AmiSSL might help for the V1200?

Tried what you said and i got that https://uploads.tapatalk-cdn.com/202...859738ae7a.jpg

npagonis73 22 May 2022 23:01

Quote:

Originally Posted by AMIGASYSTEM (Post 1546623)
@npagonis73

To me sites of "ThomasRapp" and "forum.amiga.org" work fine, you have some conflict in the system.

Look at the scrennshot and see if you have the same files, the ones you have extra move them and see if everything works.

That is what is inside AMISSL folders https://uploads.tapatalk-cdn.com/202...50c2dceb1f.jpghttps://uploads.tapatalk-cdn.com/202...f7cdadc43f.jpghttps://uploads.tapatalk-cdn.com/202...fa394675e2.jpg

npagonis73 22 May 2022 23:07

Quote:

Originally Posted by Futaura (Post 1546622)
Working fine here with OS3.2 on my A1200/060. Can you try "AmiSSL:OpenSSL s_client forum.amiga.org:443" to see if that crashes too?



Perhaps installing the 68060 version of AmiSSL might help for the V1200?

Also usually Apollo suggests to use either 68020 or 68040 libraries or binaries for vampires. 060 ones are not always compatible fully with vampires

npagonis73 22 May 2022 23:21

Quote:

Originally Posted by npagonis73 (Post 1546609)
Yes all sites worked before with 2.5.5 and AMISSL 4.12. Memory shouldn't be an issue either since i use a vampire V1200.

Turning Brotli compression off doesn't help either

npagonis73 22 May 2022 23:24

Also i get this message when trying to access an https site. The browser just doesn't do anything and when quiting it I get this message. Clicking ignore quits it https://uploads.tapatalk-cdn.com/202...049594bfa1.jpg


All times are GMT +2. The time now is 02:24.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2022, vBulletin Solutions Inc.

Page generated in 0.05125 seconds with 10 queries